Subject: Re: [PATCH] powerpc: enable heap randomization for linkstations

From: Rogério Brito <[email-masked]>
Date: Sun, 19 Oct 2008 01:16:58 -0200

Hi again.

On Oct 18 2008, Rogério Brito wrote:
> And it seems that there is something not quite right for these embedded
> systems. Here is something that I get with a vanilla linkstation_defconfig:
> 
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
> drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
(...)
> I just saw that in the default config:
> 
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
> # CONFIG_PPC_CLOCK is not set
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
> 
> Maybe this should be enabled? I can iterate once more to see if this
> option would make any difference here.

Even if I enable this option, I still get the same problem as above. :-(

Regards, Rogério Brito.

-- 
Rogério Brito : rbrito@{mackenzie,ime.usp}.br : GPG key 1024D/7C2CAEB8
http://www.ime.usp.br/~rbrito : http://meusite.mackenzie.com.br/rbrito
Projects: algorithms.berlios.de : lame.sf.net : vrms.alioth.debian.org